Python is an interpreted programming language that is often, but not solely, used as a scripting language. A version of Python is included by default on all Ubuntu distributions.

learn more… | top users | synonyms

3
votes
0answers
32 views

How to solve old GLIB error while installing “pygobject” using jhbuild

I am trying to install pygobject using jhbuild. And I am getting this error configure: error: Package requirements (glib-2.0 >= 2.48.0) were not met: Requested 'glib-2.0 >= 2.48.0' but version ...
3
votes
0answers
27 views

enable parallel port interrupts/ access in Ubuntu 12.04

I need to interface a mid 1990s laboratory instrument to Ubuntu 12.04 for moderately high speed data acquisition ( 100 Usec) from the instrument . The instrument requires ( will not even run without ...
3
votes
0answers
33 views

Ubuntu 14.04: Is there a way to reset python 2 and all dependencies to the factory setting?

I am a daily user of python 2 and after something (I am not sure but I believe it was pygments) was installed in my system I am not able to make the things work again as before. I have already lost ...
3
votes
0answers
218 views

Soundconverter is not working after upgrading to ubuntu 15.10

Since I upgrade to ubuntu 15.10, soundconverter is not launching anymore. Here's the output when I try to launch it, without any parameters $ soundconverter SoundConverter 2.1.5 using Gstreamer ...
3
votes
0answers
40 views

Why my crawler run the different result on Ubuntu Server?

I am writing a couple of codes to get the urls from yahoo homepage image slider window which is embedded through javascript, therefore I use Selenium to simulate a human click action. The code and ...
3
votes
0answers
1k views

Missing bits for some modules during installation

I install Python 2.7.9 from compiling its source on 64-bit Ubuntu 14.04. Running make seems without error, but it also says that Python build finished, but the necessary bits to build these modules ...
3
votes
0answers
213 views

How can I add a custom python indicator to the unity-greeter login screen?

I've installed a custom indicator called PRIME Indicator and it shows up in the top panel (next to date time etc) after I login. I would like to show the indicator before login on the unity-greeter ...
3
votes
0answers
259 views

Python Access Pidgin Data Structure by Dbus

I recentely started to program in Python and making a script/plugin for Pidgin,i need to access PurpleConversationUiOps and use the has_focus field,based in some examples in documentation of Pidgin i ...
2
votes
0answers
65 views

Can't add PPA using add-apt-repository: SSL support not available

whenever I tery to add any ppa to install any stuff i get the following error nikunj@nikunj-DL-H61MXE-V:~$ sudo add-apt-repository ppa:ravefinity-project/ppa Traceback (most recent call last): File ...
2
votes
0answers
21 views

Sound Indicator integration help

I have been trying to add my application to the Sound Indicator menu in Unity for about a week now. The lack of documentation on the subject is honestly appalling. Any links I can find which claim to ...
2
votes
0answers
59 views

Software Center doesn't start - could not initiate dbus

Ubuntu Software Center is lost from my Ubuntu & it's not showing in launcher. When i run sudo software-center in my terminal, the output is something like this: 2016-01-29 17:46:53,262 - ...
2
votes
0answers
67 views

Error linking shared library

I am trying to install root software which is giving the following error when I type make -j4 in terminal : Linking CXX shared library ../../lib/libPyROOT.so /usr/bin/ld: ...
2
votes
0answers
27 views

Does Python AppIndicator3 on KDE support labels?

I've just moved from Ubuntu to Kubuntu and I have a small script written in Python that used to display a brief status indicator message (how long a service on our network has been up) on my screen ...
2
votes
0answers
107 views

Import Error When Trying to Run Bot

Recently upgraded to Ubuntu 15.04 and now I get this error when I try to run the irc bot sopel: File "/usr/local/bin/sopel", line 9, in <module> load_entry_point('sopel==6.0.0a4', ...
2
votes
0answers
242 views

Installing python libs under Lubuntu 14.10 getting Errors

Hey there I need to install some python packages on my Laptop for work(university). The command they gave us is sudo apt-get install python3 python3-pip python3-pyqt4 python3-tk and pip3 install ...
2
votes
0answers
176 views

Is it safe to modify thunderbird mail box from python?

I would like to compare and merge several mail boxes managed by thunderbird (because they contain a lot of duplicated messages). They are in the mbox format. My first idea was to use the standard ...
2
votes
0answers
2k views

AttributeError: 'module' object has no attribute python

I am struggling with compiling python 2.7.9 from source and have been advised to ask this question here. While installing python 2.7.9 following the steps described here the following errors ...
2
votes
0answers
92 views

Is it possible to transform sublime text or emacs to something like bpython?

I'm using sublime text 3 and I like it a lot, but maybe a bit more love for bpython. It detects what libraries are installed and has autocompletion for codes that weren't previously written in the ...
2
votes
0answers
311 views

Pyhton is messed up because of setuptools. Help please

I have trouble getting python working right, after a mixup with python setuptools. after this, I cannot run flexget and other programs without getting this error: flexget execute Traceback (most ...
2
votes
0answers
935 views

Pip issues after 12.02->14.04 upgrade

With Ubutun 14.04LTS, many but not all pip commands fail as so: # sudo pip install --upgrade distribute Downloading/unpacking distribute Downloading distribute-0.7.3.zip (145kB): 145kB downloaded ...
2
votes
0answers
2k views

fresh install, python-software-properties unmet dependencies

attention: This might be more a question for "gis.stackexchange" but it is Ubuntu-related Geonode 2.0 is available for Ubuntu 12.04 but not for Ubuntu 14.04. According to the docs it should be ...
2
votes
0answers
445 views

How to run Python program installed system-wide through pip without root privileges?

I have two different Ubuntu computers that both has multiple user accounts. I wanted to try the latest version of the backup program Attic, so I used pip3 to install it—with success. However, I can’t ...
2
votes
0answers
342 views

How to distinguish between identical USB's

I have this system where I have 8 USB RFID readers which I would like to distinguish from one another. Here's a snippet from lsusb Bus 002 Device 011: ID 05fe:1010 Chic Technology Corp. Optical ...
2
votes
0answers
67 views

Install Acire and Python Snippets on Ubuntu 14?

This site is out of date - I'm using Ubuntu 14. Is there an alternative for Ubuntu 14?
2
votes
0answers
152 views

Python GTK: How to stop a function from happening if a checkbox is checked

In my program I have one of those annoying popups that alerts the user to go check the settings. I have a checkbox that if checked, is supposed to never show the popup again. I have no idea how to do ...
2
votes
0answers
317 views

Why does Ubuntu's webkit inspector look (and work) just like Safari?

In older Ubuntu, the python-webkit inspector looked like Chrome, as you can see in these screenshots: http://stackoverflow.com/questions/13132459 (It had some annoying bugs, too.) I see Midori's ...
2
votes
0answers
259 views

How to properly install PySide via pyenv?

I'm running Ubuntu 13.10 with Python 3.3.4, installed via pyenv. Running sudo apt-get install python3-pyside installs PySide in /usr/lib/python3/dist-packages/PySide, and I can make a symlink to that ...
2
votes
0answers
110 views

Specify the target directory in a package

I created a package (with dpkk-build and dh_make) from my own program source and got a deb-binary. So far, so good. No if I'd upload the package to my ppa and installed it from there, the program ...
2
votes
0answers
790 views

Canopy Express in Ubuntu 12.04 32-bit doesn't start

I installed the 32-bit version of Canopy Express in my Ubuntu 12.04 32-bit machine. I followed the installation guides here. Then when I run the program I get the following dialogue: Permission ...
2
votes
0answers
107 views

Terminal won't print “Refresh” in terminal

I have a slight problem today with my Ubuntu app. I've been following a Youtube tutorial. I've provided the link below with the rest of the links provided to help you find out the cause of the ...
2
votes
0answers
1k views

Python requests SSL version

I am using the python requests module on Ubuntu 13.04. I keep getting the error: requests.exceptions.SSLError: [Errno 1] _ssl.c:504: error:14077410:SSL routines:SSL23_GET_SERVER_HELLO:sslv3 alert ...
2
votes
0answers
526 views

Store cookies with WebKit (python)

So I was watching the "Create Your First Ubuntu App"-Video from Jono Bacon and got the idea, to create a simple app. That creates a window with a WebView und opens the URL to Google Keep. Everything ...
2
votes
0answers
692 views

How do I install python in wine? I keep getting an error

Please help! I've been searching google, forums, and have yet to find a solution. Here is the output from my terminal: 2013-02-25 12:57:05 (1.01 MB/s) - `pywin32-214.win32-py2.6.exe' saved ...
2
votes
0answers
82 views

How to make Gtk spinbutton symbolic in 12.04 in only a specific application?

I am currently developing an application for Ubuntu 12.04 and Ubuntu 12.10 systems. My application is completely monochromatic except for the spinbuttons as seen in the screenshot below. This issue ...
2
votes
0answers
403 views

ubuntugis demands a partial upgrade? Is this safe?

I would like to do some GIS in ubuntu. When I use the repo: sudo apt-add-repository ppa:ubuntugis/ubuntugis-unstable Update manager asks me to do a partial upgrade. The packages it wants to ...
2
votes
0answers
209 views

Is python-augeas missing a dependency on libpython2.7?

When I install python-augeas on a "minimal server" Ubuntu installation of 12.04 LTS, it throws the following import error when I try to use it: # python Python 2.7.3 (default, Aug 1 2012, 05:14:39) ...
2
votes
0answers
266 views

Run an xinput command when a device is connected?

Due to a bug in the kernel driver for the Apple Magic Trackpad, two finger right click doesn't work by default. However, you can fix the issue by running the following: xinput set-prop $DEVICE_ID ...
2
votes
0answers
763 views

How to refresh unity launcher icons from python

I have written a program that runs from the unity launcher. In my preferences it would be useful for users to change the default icon of the .desktop launcher. I've set it up to change the file, but ...
2
votes
0answers
149 views

How do I use the Discoverer module with pygi GstPbutils?

I'm trying to port some pygtk music player code to pygi which uses gst's discoverer module. from gi.repository import Gst, GstPbutils def on_discovered(discoverer, ismedia): print("%s -- %s" %( ...
2
votes
0answers
1k views

Programming with DBus using PyQt

I'm trying to write a desktop environment that supports the global menu Before I get started with my main task In PyQt I'm trying to get the dbus code to work with QtDBus as a proof of concept. Here's ...
1
vote
0answers
21 views

python and package manager are broken

After upgrading Ubuntu from 15.04 to 16.04, python and package manager are broken. When running apt-get update I receive the message use apt-get -f install, but when running this command I get ...
1
vote
0answers
39 views

Snapcraft Python2 building numpy with python-dev

just starting to get my hands dirty with snappy. I am trying to port a python project to a snappy app. The python code relies on numpy 1.5.1, which relies on python-dev being installed. My snapcraft ...
1
vote
0answers
17 views

Python in terminal- Trying to use ''erase'' and it writes more

im really new to both Ubuntu and trying to learn to use python. Ive just installed python. When i start python in terminal "python3.5" my keys are adding more when i try to erase text. When i try to ...
1
vote
0answers
28 views

Error in Opencv instalation (error in file: opencv/modules/videoio/src/cap_libv4l.cpp)

I tried to install OpenCV several times but always returns the same error. I'm running Linux - Debian in Beaglebone Black. The configuration is: root@beaglebone:~# uname -a Linux beaglebone ...
1
vote
0answers
18 views

Tile server performance seemling inconsistant with SSH Launch vs 'Local' Launch

I am setting up a Dell PowerEdge R410 as a tile server (i.e. a server which serves web map images á la Google Maps) and experimenting with TileStache -- a Python application which handles HTTP ...
1
vote
0answers
21 views

IOError: [Errno 29] Illegal seek Wavefile

Im trying to use wavebender library to create music and get data out of music. I get this error don't know how to solve this. from wavebender import * from itertools import * import sys def ...
1
vote
0answers
100 views

How to “reset” python installation in ubuntu 14.04?

after installing several packages with the package manager, some others using eggs, some others using pip, for 2 versions of python, with some packages that in the meantime changed name (iPython --> ...
1
vote
0answers
114 views

Distribution not found error with scrapy

I am running Ubuntu 14.04 and have scrapy 1.-- installed. Before I started calling it from a script I could interact fine with scrapy from the command line. However since then it still works from the ...
1
vote
0answers
26 views

Save to delete all '*.pyc' and '*.pyo' files?

I've read that to resolve an error EOFError: marshal data too short when running a Python script, an approach is to delete all *.pyc and *.pyo files. Is that safe on an Ubuntu system? I mean, those ...
1
vote
0answers
206 views

Broken python after installing python and cannot run sudo apt-get upgrade

When trying to run python I get this error: $ python Could not find platform independent libraries <prefix> Could not find platform dependent libraries <exec_prefix> Consider setting ...